com.h3c.util.dao.query

## Class DaoGetDependentQuery<I extends Serializable,P extends Storable<I> & Dependable<E>,T extends Transportable<? super T,I> & Dependent<R>,Q extends Transportable<? super Q,I> & Dependent<E>,E extends Serializable,R extends Transportable<? super R,E>>

- java.lang.Object
- - com.h3c.util.dao.ReadQuery<Q>
  - - com.h3c.util.dao.query.DaoGetDependentQuery<I,P,T,Q,E,R>

- Type Parameters:
    `I` - type of the persistent object and transport object id. This type should be immutable. It is critical this type implements equals() and hashCode() correctly.
    `P` - type of the persistent object.
    `T` - type of the transport object
    `Q` - type of the transport object with a reference to the owner's id.
    `E` - type of the owner persistent object and owner transport object id. This type should be immutable. It is critical this type implements equals() and hashCode() correctly.
    `R` - type of the owner transport object

      public class DaoGetDependentQuery<I extends Serializable,P extends Storable<I> & Dependable<E>,T extends Transportable<? super T,I> & Dependent<R>,Q extends Transportable<? super Q,I> & Dependent<E>,E extends Serializable,R extends Transportable<? super R,E>>
      extends ReadQuery<Q>

  Query to get a dependent transport object from the database.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <I extends Serializable,P extends Storable<I> & Dependable<E>,T extends Transportable<? super T,I> & Dependent<R>,Q extends Transportable<? super Q,I> & Dependent<E>,E extends Serializable,R extends Transportable<? super R,E>> ReadQuery<Q>` | `createQuery(Id<? extends Q,I> id, BidirectionalDependentDao<I,P,T,Q,?,?,E,?,R> dao)` Creates a query.
    `protected Q` | `execute(DataStoreContext context)` Executes the query.

    - ### Methods inherited from class com.h3c.util.dao.ReadQuery

      `execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createQuery

          public static <I extends Serializable,P extends Storable<I> & Dependable<E>,T extends Transportable<? super T,I> & Dependent<R>,Q extends Transportable<? super Q,I> & Dependent<E>,E extends Serializable,R extends Transportable<? super R,E>> ReadQuery<Q> createQuery(Id<? extends Q,I> id,
                                                                                                                                                                                                                                                                 BidirectionalDependentDao<I,P,T,Q,?,?,E,?,R> dao)

      Creates a query.

      This method is a convenience to infer the generic types.

      Parameters:
        `id` - transport object's id.
        `dao` - DAO used to perform the database operations for the query.
      Returns:
        a query to add a transport object.

    - #### execute

          protected Q execute(DataStoreContext context)

      Description copied from class: `ReadQuery`
      Executes the query.
      Specified by:
        `execute` in class `ReadQuery<Q extends Transportable<? super Q,I> & Dependent<E>>`
      Parameters:
        `context` - data store context.
      Returns:
        the result of the query.

Copyright © 2014. All Rights Reserved.